From 220559ddd960f9f6e6108f11324f0a17e07a2079 Mon Sep 17 00:00:00 2001
From: Paul Whalen <pwhalen@fedoraproject.org>
Date: Apr 23 2024 15:08:33 +0000
Subject: F40: Enable updates


Signed-off-by: Paul Whalen <pwhalen@fedoraproject.org>

---

diff --git a/fedora-iot.conf b/fedora-iot.conf
index bf91b17..a95fc32 100644
--- a/fedora-iot.conf
+++ b/fedora-iot.conf
@@ -217,7 +217,8 @@ osbuild = {
         "image_types": ["iot-raw-image"],
         "target": "f%s-candidate" % release_version,
         "arches": ["x86_64", "aarch64"],
-        "repo": ["https://kojipkgs.fedoraproject.org/compose/40/Fedora-40-20240414.0/compose/Everything/$arch/os/"],
+        "repo": ["https://kojipkgs.fedoraproject.org/compose/40/Fedora-40-20240414.0/compose/Everything/$arch/os/",
+                 "https://kojipkgs.fedoraproject.org/compose/updates/f40-updates/compose/Everything/$arch/os/"],
         "ostree_url": "https://kojipkgs.fedoraproject.org/compose/iot/repo/",
         "ostree_ref": "fedora/stable/$arch/iot",
         "subvariant": "IoT",
@@ -228,7 +229,8 @@ osbuild = {
         "image_types": ["iot-installer"],
         "target": "f%s-candidate" % release_version,
         "arches": ["x86_64", "aarch64"],
-        "repo": ["https://kojipkgs.fedoraproject.org/compose/40/Fedora-40-20240414.0/compose/Everything/$arch/os/"],
+        "repo": ["https://kojipkgs.fedoraproject.org/compose/40/Fedora-40-20240414.0/compose/Everything/$arch/os/",
+                 "https://kojipkgs.fedoraproject.org/compose/updates/f40-updates/compose/Everything/$arch/os/"],
         "ostree_url": "https://kojipkgs.fedoraproject.org/compose/iot/repo/",
         "ostree_ref": "fedora/stable/$arch/iot",
         "subvariant": "IoT",
@@ -240,7 +242,8 @@ osbuild = {
         "image_types": ["iot-bootable-container"],
         "target": "f%s-candidate" % release_version,
         "arches": ["x86_64", "aarch64"],
-        "repo": ["https://kojipkgs.fedoraproject.org/compose/40/Fedora-40-20240414.0/compose/Everything/$arch/os/"],
+        "repo": ["https://kojipkgs.fedoraproject.org/compose/40/Fedora-40-20240414.0/compose/Everything/$arch/os/",
+                 "https://kojipkgs.fedoraproject.org/compose/updates/f40-updates/compose/Everything/$arch/os/"],
         "ostree_url": "https://kojipkgs.fedoraproject.org/compose/iot/repo/",
         "ostree_ref": "fedora/stable/$arch/iot",
         "subvariant": "IoT",
@@ -252,7 +255,8 @@ osbuild = {
         "image_types": ["iot-simplified-installer"],
         "target": "f%s-candidate" % release_version,
         "arches": ["x86_64", "aarch64"],
-        "repo": ["https://kojipkgs.fedoraproject.org/compose/40/Fedora-40-20240414.0/compose/Everything/$arch/os/"],
+        "repo": ["https://kojipkgs.fedoraproject.org/compose/40/Fedora-40-20240414.0/compose/Everything/$arch/os/",
+                 "https://kojipkgs.fedoraproject.org/compose/updates/f40-updates/compose/Everything/$arch/os/"],
         "ostree_url": "https://kojipkgs.fedoraproject.org/compose/iot/repo/",
         "ostree_ref": "fedora/stable/$arch/iot",
         "subvariant": "IoT",
@@ -272,8 +276,8 @@ ostree = {
             "config_branch": "f40",
             "repo": [
                 "IoT",
-                "https://kojipkgs.fedoraproject.org/compose/40/Fedora-40-20240414.0/compose/Everything/$basearch/os/"
-            ]
+                "https://kojipkgs.fedoraproject.org/compose/40/Fedora-40-20240414.0/compose/Everything/$basearch/os/",
+                "https://kojipkgs.fedoraproject.org/compose/updates/f40-updates/compose/Everything/$basearch/os/"],
             "tag_ref": False,
             "ostree_repo": "/mnt/koji/compose/iot/repo/",
             "ostree_ref": "fedora/stable/${basearch}/iot",
@@ -289,7 +293,8 @@ ostree_container = {
         "config_url": "https://pagure.io/fedora-iot/fedora-bootc",
         "config_branch": "main",
         "treefile": "fedora-bootc.yaml",
-        "repo": ["https://kojipkgs.fedoraproject.org/compose/40/Fedora-40-20240414.0/compose/Everything/$basearch/os/"],
+        "repo": ["https://kojipkgs.fedoraproject.org/compose/40/Fedora-40-20240414.0/compose/Everything/$basearch/os/",
+                 "https://kojipkgs.fedoraproject.org/compose/updates/f40-updates/compose/Everything/$basearch/os/"],
         "arches": ["x86_64", "aarch64"],
         "failable": ['*'],
     },

